BugTraq
CMSQLITE v1.3.2 - Multiple Web Vulnerabiltiies Oct 19 2012 01:45AM
Vulnerability Lab (research vulnerability-lab com)
Title:
======
CMSQLITE v1.3.2 - Multiple Web Vulnerabiltiies

Date:
=====
2012-10-18

References:
===========
http://www.vulnerability-lab.com/get_content.php?id=726

VL-ID:
=====
726

Common Vulnerability Scoring System:
====================================
4.3

Introduction:
=============
CMSQLite is a small, fast, flexible and complete Content-Management-System (CMS). It s perfect for freelancers, self-employeds,
clubs and associations and small companies. CMSQLite is a CMS, basing on PHP and SQLite. That has many advantages! Comfortable Editor.
CMSQLite uses the award winning editor CKEditor. With this editor creating and maintaining your website will be as easy as working
with Word. Even complex web sites will be created with a snip of your fingers. CMSQLite supports natively mulit languages. The
standard installation supports German and English. All sites and menue items can be translated inside the CMS. An implemented language
detection shows your visitors the content in the specific language. Of course visitors of your web page can choose their preffered
language, too. Simple Handling CMSQLite is especially developed for users, who don t want to learn much about CMS. The backend structure
is simple and a few menu items make work easy and simple.

(Copy of the Vendor Homepage: http://www.cmsqlite.net/index.php?c=1&mod=index&lang=en )

Abstract:
=========
An independent Laboratory Researcher discovered multiple web vulnerabilities in the CMSQLITE v1.3.2 Content Management System.

Report-Timeline:
================
2012-10-18: Public or Non-Public Disclosure

Status:
========
Published

Exploitation-Technique:
=======================
Remote

Severity:
=========
High

Details:
========
1.1
A local file include vulnerability is detected in the CMSQLITE v1.3.2 Content Management System.
The vulnerability allows a local privileged user account to include and load local system files. The vulnerability
is located in the mediaAdmin.php file with the bound vulnerable d parameter request. Successful exploitation of the
vulnerability results in a web server compromise via file load (webshell) or information disclosure via local system file include.

Vulnerable Module(s):
[+] mediaAdmin.php

Vulnerable Parameter(s):
[+] d=

1.2
A client side cross site scripting vulnerability is detected in the CMSQLITE v1.3.2 Content Management System.
The vulnerability allows an attacker (remote) to hijack customer/moderator/admin sessions with medium required
user inter action. The security vulnerability is located in the mediaAdmin.php file with the bound vulnerable
d parameter request. Successful exploitation can result in account steal, client side phishing attacks, client
side malware load, external redirects or stable client side module context manipulation.

Vulnerable Module(s):
[+] mediaAdmin.php

Vulnerable Parameter(s):
[+] ?id=

1.3
Multiple client side cross site request forgery vulnerabilities are detected in the CMSQLITE v1.3.2 Content Management System.
The vulnerability allows an attacker (remote) to form malicious webpages to execute application functions on client side requests
with not expired application session. The security vulnerabilities are located in the deleteMenu, deleteCategory, deleteArticle,
addMenu, addCategory & addArticle modules. Successful exploitation can result in forced account add/delete and category/article
add/delete via not expired application session.

Proof of Concept:
=================
1.1
The local file include vulnerability can be exploited by local privileged user account without required user inter action.
For demonstration or reproduce ...

PoC:
http://cmsqlite.127.0.0.1:8080/cmsqlite/admin/mediaAdmin.php?d=../darius
.php+$[NEW PATH]%00
http://cmsqlite.127.0.0.1:8080/cmsqlite/admin/mediaAdmin.php?d=darius.ph
p+$[NEW PATH]%00

1.2
The client side cross site scripting vulnerability can be exploited by remote attackers without privileged application user account
and with low or medium required user inter action. For demonstration or reproduce ...

Review: id

<form name="frm_UploadPic" enctype="multipart/form-data"
action="anyfile.php?d="><[MALICIOUS CLIENT SIDE SCRIPT CODE!]">"
method="post">
<input

PoC:
http://cmsqlite.127.0.0.1:8080/cmsqlite/admin/mediaAdmin.php?id=%22%3E%3
Ciframe%20src=a%20onload=alert%28%22VL%22%29%20%3C

1.3
The client side cross site request forgery vulnerabilities can be exploited by remote attackers without privileged application user account
and with medium or high required user inter action. For demonstration or reproduce ...

Affected Delete Element(s): javascript:deleteMenu, javascript:deleteCategory & javascript:deleteArticle
Affected Add Element(s): javascript:addMenu, javascript:addCategory & javascript:addArticle

Reference(s):
http://cmsqlite.127.0.0.1:8080/cmsqlite/admin/helper/deleteMenu.php
http://cmsqlite.127.0.0.1:8080/cmsqlite/admin/helper/deleteArticle.php
http://cmsqlite.127.0.0.1:8080/cmsqlite/admin/helper/deleteCategory.php

Risk:
=====
1.1
The security risk of the local file include vulnerability is estimated as high(-).

1.2
The security risk of the client site cross site scripting vulnerability is estimated as medium(-).

1.3
The security risk of the client site cross site request forgery vulnerabilties are estimated as low(+).

Credits:
========
Katharina S.L. (katha (at) vulnerability-lab (dot) com [email concealed])

Disclaimer:
===========
The information provided in this advisory is provided as it is without any warranty. Vulnerability-Lab disclaims all warranties,
either expressed or implied, including the warranties of merchantability and capability for a particular purpose. Vulnerability-
Lab or its suppliers are not liable in any case of damage, including direct, indirect, incidental, consequential loss of business
profits or special damages, even if Vulnerability-Lab or its suppliers have been advised of the possibility of such damages. Some
states do not allow the exclusion or limitation of liability for consequential or incidental damages so the foregoing limitation
may not apply. We do not approve or encourage anybody to break any vendor licenses, policies, deface websites, hack into databases
or trade with fraud/stolen material.

Domains: www.vulnerability-lab.com - www.vuln-lab.com - www.vulnerability-lab.com/register
Contact: admin (at) vulnerability-lab (dot) com [email concealed] - support (at) vulnerability-lab (dot) com [email concealed] - research (at) vulnerability-lab (dot) com [email concealed]
Section: video.vulnerability-lab.com - forum.vulnerability-lab.com - news.vulnerability-lab.com
Social: twitter.com/#!/vuln_lab - facebook.com/VulnerabilityLab - youtube.com/user/vulnerability0lab
Feeds: vulnerability-lab.com/rss/rss.php - vulnerability-lab.com/rss/rss_upcoming.php - vulnerability-lab.com/rss/rss_news.php

Any modified copy or reproduction, including partially usages, of this file requires authorization from Vulnerability Laboratory.
Permission to electronically redistribute this alert in its unmodified form is granted. All other rights, including the use of other
media, are reserved by Vulnerability-Lab Research Team or its suppliers. All pictures, texts, advisories, sourcecode, videos and
other information on this website is trademark of vulnerability-lab team & the specific authors or managers. To record, list (feed),
modify, use or edit our material contact (admin (at) vulnerability-lab (dot) com [email concealed] or support (at) vulnerability-lab (dot) com [email concealed]) to get a permission.

Copyright © 2012 | Vulnerability Laboratory

--
VULNERABILITY RESEARCH LABORATORY
LABORATORY RESEARCH TEAM
CONTACT: research (at) vulnerability-lab (dot) com [email concealed]

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus